<template>
  <div class="LoggedInBox" v-if="loggedIn">
    <img src="@/assets/accountLogo.png" />
    <div class="col">
      <p>{{ user.name }}</p>
      <router-link :to="{ name: 'logout' }"> Logout </router-link>
    </div>
  </div>
</template>

<script>
export default {
  computed: {
    loggedIn() {
      return this.$store.getters["auth/isLoggedIn"];
    },
    user() {
      return this.$store.getters["auth/getUser"];
    },
  },
};
</script>

<style lang="scss" scoped>
.LoggedInBox {
  display: flex;
  flex-direction: row;
  margin: 1rem;
  border: 1px solid var(--white);
  border-radius: 1rem;

  img {
    width: 3rem;
    margin: 0.5rem;
  }
  .col {
    display: flex;
    flex-direction: column;
    margin: 0.5rem;
    p {
      color: white;
    }
    a {
      text-decoration: none;
      color: var(--light-grey);
      &:hover {
        cursor: pointer;
      }
    }
  }
}
</style>
